START TRANSACTION ;
-- --------------------------------------------------------
# rating_table
# 1. создать поле RecordBookID
# 2. заполнить поле RecordBookID
# 3. удалить все связи поля StudentID и потом само поле
# 4. создать связи для RecordBookID

ALTER TABLE `rating_table`
  ADD COLUMN `RecordBookID` int(11),
  ADD KEY (`RecordBookID`);

COMMIT ;

LOCK TABLES submodules WRITE, modules READ, disciplines READ, students_groups READ, study_groups READ,
grades READ, record_books WRITE, rating_table WRITE;

UPDATE rating_table
  INNER JOIN submodules on submodules.ID = rating_table.SubmoduleID
  INNER JOIN modules on modules.ID = submodules.ModuleID
  INNER JOIN disciplines on disciplines.ID = modules.DisciplineID
  INNER JOIN students_groups on students_groups.SemesterID = disciplines.SemesterID
                                AND students_groups.StudentID = rating_table.StudentID
SET rating_table.RecordBookID = students_groups.RecordBookID;

ALTER TABLE `rating_table`
  DROP FOREIGN KEY `rating_table_ibfk_1`,
  DROP INDEX `PRIMARY`,
  DROP INDEX `StudentID`,
  DROP COLUMN `StudentID`;
ALTER TABLE `rating_table`
  ADD PRIMARY KEY (`RecordBookID`, `SubmoduleID`),
  ADD CONSTRAINT `rating_table_ibfk_1` FOREIGN KEY (`RecordBookID`) REFERENCES `record_books` (`ID`);

UNLOCK TABLES;