START TRANSACTION;

# logs_rating
# 1. создать поле RecordBookID и связи для него
ALTER TABLE `logs_rating`
  ADD COLUMN `RecordBookID` int(11),
  ADD KEY (`RecordBookID`);

COMMIT;

# LOCK TABLES logs_rating WRITE, submodules READ, modules READ, disciplines READ, students_groups READ, record_books WRITE;
START TRANSACTION;
-- --------------------------------------------------------
# logs_rating
# 1. создать поле RecordBookID - done
# 2. заполнить поле RecordBookID
# 3. удалить все связи поля StudentID и потом само поле
# 4. создать связи для поля RecordBookID

UPDATE `logs_rating`
  INNER JOIN submodules on submodules.ID = logs_rating.SubmoduleID
  INNER JOIN modules on modules.ID = submodules.ModuleID
  INNER JOIN disciplines on disciplines.ID = modules.DisciplineID
  INNER JOIN students_groups on students_groups.SemesterID = disciplines.SemesterID
                                AND students_groups.StudentID = logs_rating.StudentID
SET logs_rating.RecordBookID = students_groups.RecordBookID;

ALTER TABLE `logs_rating`
  DROP FOREIGN KEY `logs_rating_ibfk_1`,
  DROP INDEX `StudentID`,
  DROP COLUMN `StudentID`;

ALTER TABLE `logs_rating`
  ADD CONSTRAINT `logs_rating_ibfk_1` FOREIGN KEY (`RecordBookID`) REFERENCES `record_books` (`ID`);

# UNLOCK TABLES ;
COMMIT;